@charset "utf-8";
/* CSS Document */
/* Reset default styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background-color: transparent;
}

/* Navbar styles */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: black;
  color: #fff;
  padding: 10px 30px;
}

.main {
	color: black;
}

.logo a {
  font-size: 24px;
  font-weight: bold;
  text-decoration: none;
  color: #fff;
}

.nav-links {
  display: flex;
  list-style: none;
}

.nav-links li {
  margin-left: 20px;
}

.nav-links li a {
  text-decoration: none;
  color: #fff;
}

.nav-links ul li::after{
	content: '';
	width: 0%;
	height: 5px;
	background: #ffffff;
	display: block;
	margin: auto;
	transition: 0.5s;
}
.nav-links ul li:hover::after{
	width: 100%;
}

/* Header styles */
header {
  background-image: url("images/ceiling.jpg");
  background-position: center;
  background-size: cover;
  position: relative;
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.header h1 {
	color: white;
	text-align: center;
    margin-bottom: 20px;
    font-size: 72px;
    font-weight: bold;
}

.header p {
	color: white;
	font-size: 28px;
	text-align: center;
}

.header button {
  display: inline-block;
  padding: 10px 20px;
  border: 2px solid #333;
  border-radius: 4px;
  text-decoration: none;
  color: white;
  font-size: 24px;
  font-weight: bold;
  transition: background-color 0.3s ease;
  align-items: center;
  align-content: center;
}

.button:hover {
  background-color: #333;
  color:#A67F1D
}

/* intro */

.body {
	min-height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: black;
}


.content {
	background-color: #E7E2DB;
	background-position: center;
	background-size: cover;
}

.yey-btn {
	display: inline-block;
	text-decoration: none;
	color: white;
	border: 1px solid #000000;
	padding: 12px 34px;
	font-size: 20px;
	background: black;
	position: relative;
	top: 5%;
	left: 2%;
	cursor: pointer;
}

.yey-btn:hover{
	border: 1px solid black;
	background: transparent;
	transition: 1s;
	color: black;
}

/*----- about -----*/

.about {
	windows: 100%;
	margin-top: 0;
	padding-top: 0px;
	padding-bottom: 0px;
	background-color: #E7E2DB;
	background-size: cover;
  background-position: center;
  position: relative;
  height: 40vh;
  width: 100vw;
  display: flex;

}

.about h1{
	padding-left: 30px;
	font-size: 45px;
}

.about-col {
	flex-basis: 48%;
	padding: 30px 2px;
}

.about-col img{
	width: 85%;
	transform: translate(24%, 0%);
}

.about-col p {
	width: 60%;
	line-height: 1.8;
	padding: 30px;
	text-align: justify;
	text-justify: inter-word;
}

/* Main styles */
	
main {
  padding: 0px 0px;
}

section {
  margin-bottom: 50px;
}

h2 {
  font-size: 36px;
  font-weight: bold;
  margin-bottom: 20px;
}

p {
  font-size: 18px;
  line-height: 1.5;
  margin-bottom: 20px;
}

/* contact form */

.contact h2 {
	text-align: center;
	font-size: 45px;
}

form {
  display: flex;
  flex-direction: column;
  max-width: 500px;
  margin: 0 auto;
}

label {
  font-weight: bold;
  margin-bottom: 5px;
}

input[type="text"],
input[type="email"],
textarea {
  padding: 10px;
  margin-bottom: 20px;
  border: 2px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
}

button[type="submit"] {
  background-color: #A77421;
  color: white;
  padding: 10px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
}

button[type="submit"]:hover {
  background-color: black;
}

/* divider */

.divider {
	background-image: url("images/divider.jpg");
	height: 100vh;
}

.divider h1 {
	color: white;
    text-align: center;
	align-items: center;
    padding: 100px;
	padding-top: 600px;
    font-size: 72px;
    font-weight: bold;
}

.divider p {
	color: white;
	font-size: 28px;
	text-align: center;
}

.column {
	width: 80%;
	margin: auto;
	text-align: center;
	padding-top: 50px;
	position: relative;
}

.column-col {
	flex-basis: 32%;
	border-radius: 10px;
	margin-bottom: 30px;
	position: relative;
	overflow: hidden;
}

.column-col img{
	width: 100%;
	height: 100%;
	display: block;
}

.column h1 {
	text-align: left;
	font-size: 45px;
	color: black;
}

h3 {
	font-size: 30px;
}

.layer {
	background: transparent;
	height: 100%;
	width: 100%;
	position: absolute;
	top: 0;
	left: 0;
	transition: 0.5s;
}

.layer:hover {
	background: rgba(27, 30, 35, 0.5);
}

.layer h3 {
	width: 100%;
	font-weight: 500;
	color: white;
	font-size: 26px;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	position: absolute;
	opacity: 0;
	transition: 0.5s;
}

.layer:hover h3 {
	bottom: 49%;
	opacity: 1;
	flex-wrap: wrap;
}

.row {
	margin-top: 5%;
	display: flex;
	justify-content: space-between;
}




/* Footer styles */
footer {
  background-color: black;
  color: #fff;
  padding: 20px 30px;
  text-align: center;
}
